org.apache.axis.enum 与JDK1.5冲突的解决办法

大家都知道,jdk1.5相对于jdk1.4改进了一些东西,其中之一就是Enum-枚举类型,恰好我们的apache axis1.1中有一个RPC的功能,产生的是包路径下面包含了enum这个单词,这个时候,ecilpse就将他当成了关键字,所以运行是不通过的,解决办法:

1、降低JDK的版本1.5以下就ok了。
2、采用Axis1.4或以上,将org.apache.axis.enum用org.apache.axis.constants.enum替换。

Share

发表评论

电子邮件地址不会被公开。 必填项已用*标注

此站点使用Akismet来减少垃圾评论。了解我们如何处理您的评论数据